# API public endpoints

The typical workflow to order tickets using our API is to:&#x20;

1. choose an event\_id from the list of available events
2. choose the ticket type (aka discount\_id)
3. create a cart resource and use the supplied cart\_id to
4. interact with the cart (add/delete seats)
5. determine what payment method is going to be used
6. create the order and redirect the user to the URL provided

With the following endpoints you can achieve all of the above (and some more):

{% content-ref url="/pages/-M2PZXgU0pa1RH0PPeXl" %}
[Events](/api/public-endpoints/api-public.md)
{% endcontent-ref %}

{% content-ref url="/pages/-M2SJ0mlsoEu85EY8bE6" %}
[Ticket types](/api/public-endpoints/tickettypes.md)
{% endcontent-ref %}

{% content-ref url="/pages/-M2TbVqNqdi6TjfUDt16" %}
[Cart](/api/public-endpoints/cart.md)
{% endcontent-ref %}

{% content-ref url="/pages/-M2Xng6IMNkY9NCv-hhn" %}
[Payment](/api/public-endpoints/payment-methods.md)
{% endcontent-ref %}

{% content-ref url="/pages/-M2Z4BPzDh\_1oERVa6sn" %}
[Order](/api/public-endpoints/order.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.voordemensen.nl/api/public-endpoints.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
